-## Process this file with automake to produce Makefile.in.
-## Makefile for hello/tests.
-##
-## Copyright (C) 1996, 2005 Free Software Foundation, Inc.
-##
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2, or (at your option)
-## any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# Process this file with automake to produce Makefile.in.
+# Makefile for hello/tests.
+#
+# Copyright (C) 1996, 2005, 2006 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-TESTS = hello-1 world-1 nothing-1
+TESTS = greeting-1 hello-1 traditional-1
EXTRA_DIST = $(TESTS)
+#! /bin/sh
+# Test arbitrary --greeting.
+#
+# Copyright (C) 2001, 2006 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+LANGUAGE=
+LC_ALL=
+LC_MESSAGES=
+LANG=
+export LANGUAGE LC_ALL LC_MESSAGES LANG
+
+tmpfiles="greeting-test1.ok"
+cat <<EOF > greeting-test1.ok
+Nothing happens here.
+EOF
+
+tmpfiles="$tmpfiles greeting-test1.out"
+: ${HELLO=hello}
+${HELLO} -g 'Nothing happens here.' > greeting-test1.out
+
+: ${DIFF=diff}
+${DIFF} greeting-test1.ok greeting-test1.out
+result=$?
+
+rm -f $tmpfiles
+
+exit $result
#! /bin/sh
+# Test standard GNU greeting.
+#
+# Copyright (C) 2001, 2006 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
# This script takes one argument.
trap 'rm -fr $tmpfiles' 1 2 3 15
: ${HELLO=hello}
${HELLO} > hello-test1.out
-# $HELLO > test.out
-# $HELLO sailor >> test.out
-# $HELLO --traditional >> test.out
-
: ${DIFF=diff}
${DIFF} hello-test1.ok hello-test1.out
result=$?
rm -f $tmpfiles
exit $result
-
-# hello ends here
-#! /bin/sh
-# This script takes one argument.
-
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-LANGUAGE=
-LC_ALL=
-LC_MESSAGES=
-LANG=
-export LANGUAGE LC_ALL LC_MESSAGES LANG
-
-tmpfiles="hello-test2.ok"
-cat <<EOF > hello-test2.ok
-Nothing happens here.
-EOF
-
-tmpfiles="$tmpfiles hello-test2.out"
-: ${HELLO=hello}
-${HELLO} sailor > hello-test2.out
-
-# $HELLO > test.out
-# $HELLO sailor >> test.out
-# $HELLO --traditional >> test.out
-
-: ${DIFF=diff}
-${DIFF} hello-test2.ok hello-test2.out
-result=$?
-
-rm -f $tmpfiles
-
-exit $result
+#! /bin/sh
+# Test traditional greeting.
+#
+# Copyright (C) 2001, 2006 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+LANGUAGE=
+LC_ALL=
+LC_MESSAGES=
+LANG=
+export LANGUAGE LC_ALL LC_MESSAGES LANG
+
+tmpfiles="traditional-test1.ok"
+cat <<EOF > traditional-test1.ok
+hello, world
+EOF
+
+tmpfiles="$tmpfiles traditional-test1.out"
+: ${HELLO=hello}
+${HELLO} --traditional > traditional-test1.out
+
+: ${DIFF=diff}
+${DIFF} traditional-test1.ok traditional-test1.out
+result=$?
+
+rm -f $tmpfiles
+
+exit $result
-#! /bin/sh
-# This script takes one argument.
-
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-LANGUAGE=
-LC_ALL=
-LC_MESSAGES=
-LANG=
-export LANGUAGE LC_ALL LC_MESSAGES LANG
-
-tmpfiles="hello-test3.ok"
-cat <<EOF > hello-test3.ok
-hello, world
-EOF
-
-tmpfiles="$tmpfiles hello-test3.out"
-: ${HELLO=hello}
-${HELLO} --traditional > hello-test3.out
-
-# $HELLO > test.out
-# $HELLO sailor >> test.out
-# $HELLO --traditional >> test.out
-
-: ${DIFF=diff}
-${DIFF} hello-test3.ok hello-test3.out
-result=$?
-
-rm -f $tmpfiles
-
-exit $result
-
-# hello ends here
This website is licensed under AGPL-3.0. Feel free to copy!